Package org.eclipse.birt.chart.model.attribute

# Interface Insets

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `InsetsImpl`

public interface Insets extends IChartObject
A representation of the model object 'Insets'. Insets represents a reserved blank area between the edges and the client area of a chart element (e.g. Block, Label... etc.).

The following features are supported:

- `Top`
- `Left`
- `Bottom`
- `Right`

See Also:
  - `AttributePackage.getInsets()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`areLessThan(double dValue)`
A convenience method provdided to detect if all members are below a certain value NOTE: Manually written
`Insets`
`copyInstance()`
`double`
`getBottom()`
Returns the value of the 'Bottom' attribute.
`double`
`getLeft()`
Returns the value of the 'Left' attribute.
`double`
`getRight()`
Returns the value of the 'Right' attribute.
`double`
`getTop()`
Returns the value of the 'Top' attribute.
`boolean`
`isSetBottom()`
Returns whether the value of the ' `Bottom`' attribute is set.
`boolean`
`isSetLeft()`
Returns whether the value of the '`Left`' attribute is set.
`boolean`
`isSetRight()`
Returns whether the value of the '`Right`' attribute is set.
`boolean`
`isSetTop()`
Returns whether the value of the '`Top`' attribute is set.
`Insets`
`scaledInstance(double dScale)`
Returns a new instance with scaled members w.r.t this instance.
`void`
`set(double dTop, double dLeft, double dBottom, double dRight)`
A convenience method for setting all members of an existing instance NOTE: Manually written
`void`
`setBottom(double value)`
Sets the value of the '`Bottom`' attribute.
`void`
`setLeft(double value)`
Sets the value of the '`Left`' attribute.
`void`
`setRight(double value)`
Sets the value of the '`Right`' attribute.
`void`
`setTop(double value)`
Sets the value of the '`Top`' attribute.
`void`
`unsetBottom()`
Unsets the value of the '`Bottom`' attribute.
`void`
`unsetLeft()`
Unsets the value of the '`Left`' attribute.
`void`
`unsetRight()`
Unsets the value of the '`Right`' attribute.
`void`
`unsetTop()`
Unsets the value of the '`Top`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getTop

double getTop()
Returns the value of the 'Top' attribute. Specifies the top component of the insets.

Returns:
  the value of the 'Top' attribute.
See Also:
  - `isSetTop()`
  - `unsetTop()`
  - `setTop(double)`
  - `AttributePackage.getInsets_Top()`

### setTop

void setTop(double value)
Sets the value of the '`Top`' attribute. Sets the top component of the insets.

Parameters:
  `value` - the new value of the 'Top' attribute.
See Also:
  - `isSetTop()`
  - `unsetTop()`
  - `getTop()`

### unsetTop

void unsetTop()
Unsets the value of the '`Top`' attribute.

See Also:
  - `isSetTop()`
  - `getTop()`
  - `setTop(double)`

### isSetTop

boolean isSetTop()
Returns whether the value of the '`Top`' attribute is set.

Returns:
  whether the value of the 'Top' attribute is set.
See Also:
  - `unsetTop()`
  - `getTop()`
  - `setTop(double)`

### getLeft

double getLeft()
Returns the value of the 'Left' attribute. Attribute "Left" specifies the distance in points of the client area from the left edge.

Returns:
  the value of the 'Left' attribute.
See Also:
  - `isSetLeft()`
  - `unsetLeft()`
  - `setLeft(double)`
  - `AttributePackage.getInsets_Left()`

### setLeft

void setLeft(double value)
Sets the value of the '`Left`' attribute. Sets the left component of the insets.

Parameters:
  `value` - the new value of the 'Left' attribute.
See Also:
  - `isSetLeft()`
  - `unsetLeft()`
  - `getLeft()`

### unsetLeft

void unsetLeft()
Unsets the value of the '`Left`' attribute.

See Also:
  - `isSetLeft()`
  - `getLeft()`
  - `setLeft(double)`

### isSetLeft

boolean isSetLeft()
Returns whether the value of the '`Left`' attribute is set.

Returns:
  whether the value of the 'Left' attribute is set.
See Also:
  - `unsetLeft()`
  - `getLeft()`
  - `setLeft(double)`

### getBottom

double getBottom()
Returns the value of the 'Bottom' attribute. Attribute "Bottom" specifies the distance in points of the client area from the bottom edge.

Returns:
  the value of the 'Bottom' attribute.
See Also:
  - `isSetBottom()`
  - `unsetBottom()`
  - `setBottom(double)`
  - `AttributePackage.getInsets_Bottom()`

### setBottom

void setBottom(double value)
Sets the value of the '`Bottom`' attribute. Sets the bottom component of the insets.

Parameters:
  `value` - the new value of the 'Bottom' attribute.
See Also:
  - `isSetBottom()`
  - `unsetBottom()`
  - `getBottom()`

### unsetBottom

void unsetBottom()
Unsets the value of the '`Bottom`' attribute.

See Also:
  - `isSetBottom()`
  - `getBottom()`
  - `setBottom(double)`

### isSetBottom

boolean isSetBottom()
Returns whether the value of the ' `Bottom`' attribute is set.

Returns:
  whether the value of the 'Bottom' attribute is set.
See Also:
  - `unsetBottom()`
  - `getBottom()`
  - `setBottom(double)`

### getRight

double getRight()
Returns the value of the 'Right' attribute. Attribute "Right" specifies the distance in points of the client area from the right edge.

Returns:
  the value of the 'Right' attribute.
See Also:
  - `isSetRight()`
  - `unsetRight()`
  - `setRight(double)`
  - `AttributePackage.getInsets_Right()`

### setRight

void setRight(double value)
Sets the value of the '`Right`' attribute. Sets the right component of the insets.

Parameters:
  `value` - the new value of the 'Right' attribute.
See Also:
  - `isSetRight()`
  - `unsetRight()`
  - `getRight()`

### unsetRight

void unsetRight()
Unsets the value of the '`Right`' attribute.

See Also:
  - `isSetRight()`
  - `getRight()`
  - `setRight(double)`

### isSetRight

boolean isSetRight()
Returns whether the value of the '`Right`' attribute is set.

Returns:
  whether the value of the 'Right' attribute is set.
See Also:
  - `unsetRight()`
  - `getRight()`
  - `setRight(double)`

### scaledInstance

Insets scaledInstance(double dScale)
Returns a new instance with scaled members w.r.t this instance. NOTE: Manually written

Parameters:
  `dScale` -
Returns:

### set

void set(double dTop, double dLeft, double dBottom, double dRight)
A convenience method for setting all members of an existing instance NOTE: Manually written

Parameters:
  `dTop` -
  `dLeft` -
  `dBottom` -
  `dRight` -

### areLessThan

boolean areLessThan(double dValue)
A convenience method provdided to detect if all members are below a certain value NOTE: Manually written

Returns:

### copyInstance

Insets copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`